[mythtv-users] errors running mythfilldatabase uk

Stephen Kitchener stephen at g6dzj.demon.co.uk
Sun Feb 8 15:24:16 UTC 2009

On Sunday 08 Feb 2009, Nick Morrott wrote:
> On 08/02/2009, Mike Perkins <mikep at randomtraveller.org.uk> wrote:
> > Nick Morrott wrote:
> > > Please upgrade your version of XMLTV.
> > >
> > > After checking the RT listings source files, it appears the Radio
> > > Times have just started to add a terms of usage line to the top of
> > > each file, which will break older versions of the grabber which only
> > > expect "code|channel" lines to be present. Newer versions of the
> > > grabber ignore these and let grabbing continue.
> > >
> > > Nick
> >
> >  This may take some days to arrange. Do you have a work-around we can use
> > till we get organised? For example, can I pull channels.dat, edit off the
> > line, then run tv_grab_uk_rt with the edited file? How do I tell mfdb
> > that I've done this?
> For all:
> I added support to ignore such bad entries in the version of the
> grabber that was released as part of XMLTV 0.5.52 (released
> 2008-07-26). XMLTV 0.5.54 was released on 2009-01-14 and is the
> current stable release.
> One possible work around might be to edit the tv_grab_uk_rt script
> directly and set $rt_channels_uri to point to an edited local copy
> (e.g. /tmp/channels.dat) of the channels.dat file.
> If your distro is not providing an up-to-date version of XMLTV, you
> might want to give them a gentle prod :)
> Nick

Hi Nick, thanks for the information - appreciated.

If I make install the new xmltv will it place the required files in the same 
place as the rpm version, I am running an old mythtv version 20 on fedora 7 
by the way, do I need to make any backups of config filels ??, will it just 
drop in ??



Stephen Kitchener

Do not meddle with the affairs of Dragons for you are crunchy and good with 

More information about the mythtv-users mailing list